diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index e3a9e96..b11a0de 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -66,6 +66,13 @@ psycopg2.extensions.register_type(
     psycopg2.extensions.new_type((1186,), 'INTERVAL_TEXT', psycopg2.STRING)
 )
 
+# This registers a type caster for int4range, int8range, numrange
+# tsrange, tstzrange, daterange
+psycopg2.extensions.register_type(
+    psycopg2.extensions.new_type(
+        (3904, 3926, 3906, 3908, 3910, 3912),
+        'NUMERIC_RANGE_TEXT', psycopg2.STRING)
+)
 
 def register_date_typecasters(connection):
     """
